.footer {
  position: relative;
  height: 40px;
  border-top: 1px solid rgba(0, 0, 0, 0.1);

  &:before {
    content: "";
    position: absolute;
    right: 0;
    bottom: 0;
    left: 0;
    height: 50px;
    overflow: hidden;
    box-shadow: 0 1px 1px rgba(0, 0, 0, 0.2), 0 8px 0 -3px #f6f6f6,
      0 9px 1px -3px rgba(0, 0, 0, 0.2), 0 16px 0 -6px #f6f6f6,
      0 17px 2px -6px rgba(0, 0, 0, 0.2);
  }

  & .filter-btn {
    padding: 5px;
    border-radius: 0.25rem;
    transition: 250ms all ease-in-out;
    outline: none;
    cursor: pointer;
    margin-left: 5px;
    background: white;
    border: 1px solid white;

    &:hover,
    &.active {
      border-color: burlywood;
    }
  }

  & .clear-completed-btn {
    visibility: hidden;

    &.visible {
      visibility: visible;
    }
  }

  & .items-count {
    padding-left: 10px;
  }
}
